/* *{
    font-family: 'Inter', sans-serif;
} */

/* Variabili Css */

:root{
    --header-height: 3rem;
    --font-semi:600;
    --font-bold: 700;
}

/* colori */

:root{
    --first-color:#e55947;
    --first-color-alt: #d2321e;
    --white-color: #fafaff;
    --dark-color: #101010;
    --dark-color-light: #606060;
    --gray-color:#f0f1f3;

}

/* fonts */
:root{
    --body-font: 'Open Sans' , sans-serif;
    --big-font-size: 3rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --normal-font-size: .938rem;
    --small-font-size: -75rem;
}

@media screen and (min-width: 768px){
    :root{
        --big-font-size: 6rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --normal-font-size: 1rem;
        --small-font-size: .813rem;
    }

}

/* margini */

:root{
    --mb-1: .5rem;
    --mb-2: 1rem;
    --mb-3: 1.5rem;
    --mb-4: 2rem;
}

/* z index */
:root{
    --z-tooltip:10;
    --z-fixed:100;

}

/* base */
*, ::before, ::after{
    box-sizing: border-box;

}

html{
    scroll-behavior: smooth;

}

body{
    margin:var(--header-height) 0 0 0;
    font-family: var(--body-font);
    font-size: var(--normal-font-size);
    color: var(--dark-color);
    line-height: 1.6;

}

h1, h2, p{
    margin: 0;

}

h3{
    font-weight: bold;
}

ul{
    margin: 0;
    padding: 0;
    list-style:none;

}

a{
    text-decoration: none;
    color:var(--dark-color)
}

a:hover {
    color: var(--dark-color);


}

img{
    max-width: 100%;
    height:auto;

}

.red{
   color:var(--first-color-alt); 
}

/* class css */

.section{
    padding: 3rem 0;

}

.section-title{
    font-size: var(--h2-font-size);
    color: var(--first-color-alt);
    margin: var(--mb-4) 0 var(--mb-1);
    text-align: center;
}

.section-all{
  display:block;
  font-size: var(--small-font-size);
  font-weight: var(--font-semi);
  color: var(--dark-color-light);
  text-align:center;
  margin-bottom: var(--mb-2);


}

/* layout */
.bd-grid{
    max-width: 1024px;
    display:grid ;
    grid-template-columns: 100%;
    grid-column-gap:2rem;
    width: calc(100% - 3rem);
    margin-left: var(--mb-3);
    margin-right: var(--mb-3);

}

.l-header{
    height:73px !important;
    width: 100vw;
    position: fixed;
    top:0;
    left:0;
    z-index: var(--z-fixed);
    background-color: var(--gray-color);
    border-bottom:2px solid var(--first-color-alt);
}

/* nav */

.nav{
    height: var(--header-height) !important; 
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items:center;
    font-size:20px;

}

#nav-menu{
    display:flex;
    justify-content: space-between;


}

#nav-toggle{
    color:var(--first-color-alt);
}

.header{
    width:100%;
}

.header-title{
    color:var(--first-color-alt);
    font-size:50px;
    font-weight:bold;



}


.sez-img-titolo{
    width:80%;
}

.header-subtitle{
    color:var(--first-color-alt);
    font-weight:bold;
    margin-top:25px;

   

    

}

.header-bg{
    background-image:url('./media/wave.jpg');
    background-repeat:no-repeat;
    background-size: cover;
   



   
}

@media screen and (max-width:768px){
    .nav__menu{
        position:fixed;
        top:73px;
        right: -100%;
        width: 30%;
        height: 30%;
        padding: 1rem;
        background-color: var(--gray-color);
        transition: 0.8s;
        /* border:2px solid var(--first-color-alt); */
        border-top:none;
        border-left:2px solid var(--first-color-alt);
        border-bottom:2px solid var(--first-color-alt);

    }

    .sez-titolo{
        display:flex;
        flex-direction:column;
    }

    .footer__title, .footer__deal, .footer__link{
        text-align:center ;
        display:flex;
        justify-content: center;
    }



    .footer__store{
        width:49% !important;
        margin-bottom:5px !important;

        
        
    }

    .footer__social{

        display:inline-block;
        align-items: center;
        text-align:center;
    }

    .footer__box_soc{
        text-align:center;
    }

    

}

.nav__item{
    margin-bottom: var(--mb-4);

}

.nav_cerca{
 
    height:73px !important;
    /* border-bottom:2px solid var(--first-color-alt); */
}

.nav__link{

    color: var(--first-color-alt);

    font-weight: var(--font-semi);
    text-align:center;


}

.nav__link::hover{
    color: var(--first-color);


}

.nav__logo{
    font-weight: var(--font-bold);
    font-size: 1.5rem;
   
    color: var(--first-color-alt);


}

.pp_logo{
    font-size:40px;
    padding:20px 20px;
}

.nav__cart{
    font-size: 1.5rem;
    margin-right: var(--mb-2);
    color: var(--first-color-alt);


}

.nav__toggle{
    font-size:1.5rem;
    cursor: pointer;


}

/* show menu */
.show{
    right:0;

}

.active{
    color: var(--first-color)
}

/* home */
.home{
    background-color: var(--gray-color)
}

.home__container{
    height: calc(100vh - var(--header-height));

}

.home__data{
    padding-top: 3rem;

}


#btn-home{
    position: absolute;
    left: 40%;
    top: 66%;
    padding: 20px 25px;
    border-radius: 20px;
    
    font-weight:bold;
    font-size:15px;
    transition:0.5s;
    background-color: var(--first-color-alt);
    color: var(--white-color);
    border:2px solid var(--first-color-alt);
    
}

#btn-home:hover{
    color: var(--first-color-alt);
  background-color: var(--white-color);
  
}


/* buttons */
.button{
    display: inline-block;
    background-color: var(--first-color);
    color: var(--white-color);
    padding:1rem;
    font-size: var(--small-font-size);
    font-weight: var(--font-semi);
    transition: .3s;

}

.button:hover{
    background-color: var(--first-color-alt);



}

/* collection */
.collection__container{
    row-gap: 2rem;

}

.collection__box{
    display: flex;
    justify-content: space-between;
    align-items:center;
    padding: 0 1.5rem;
    background-color: var(--gray-color);
    transition: 0.3s;
    
}

.collection__box:hover{
    transform: translateY(-0.5rem);

}

.collection__img{
    width:130px;
    

}

.collection__title{
    font-size: var(--h1-font-size);
    line-height: 1.2;
    margin-bottom: var(--mb-2);
    text-transform: uppercase;
    font-weight: var(--font-semi);

}

.collection__subtitle{
    font-size: var(--h1-font-size);
    color: var(--first-color-alt);


}

.collection__view{
    font-size: var(--small-font-size);
    color: var(--dark-color-light);
    
}

.collection__view:hover{
    text-decoration: underline;

}


/* featured product */
.featured__container{
    row-gap:2rem;

}

.featured__product{
    transition: 0.3s;
    
}

.featured__product:hover{
    transform: translateY(-0.5rem);

}

.featured__box{
    position: relative;
    display:flex;
    justify-content: center;
    background-color: var(--gray-color);



}

.featured__new{
    position: absolute;
    top:0;
    left: 0;
    background-color:var(--first-color);
    color: var(--white-color);
    padding: 0.3rem 0.75rem;
    font-size: var(--small-font-size);

}

.featured__data{
    text-align: center;

}

.featured__name{
    margin-bottom:var(--mb-1);
    text-transform: uppercase;
    font-size: var(--normal-font-size);
   
}

.featured__price{
    color: var(--dark-color-light);
    font-weight: var(--font-semi);
}


/* offer */

.offer__bg{
    background:url('./media/offer.jpg') no-repeat center/cover;
    text-align: center;

}

.offer__data{
    padding: 3.5rem 0.25rem;
    background: rgba(0, 0, 0, 0.5);
    color: var(--white-color);

}

.offer__title{
    font-size: var(--h1-font-size);
    letter-spacing: .2rem;
    text-transform: uppercase;
    font-weight: var(--font-semi);
}

.offer__description{
    margin-bottom: var(--mb-2);
    letter-spacing: .2rem;

}

/* new arrivals */

.new__container{
    row-gap:2rem;

}

.new__box{
    position:relative;
    display: flex;
    justify-content: center;
    background-color:var(--gray-color);
    overflow:hidden;

}

.new__box:hover .new__link{
    bottom: 0;



}

.new__link{
    position:absolute;
    bottom:-100%;
    width:100%;
    height:100%;
    display: flex;
    text-align:center;
    justify-content: center;
    align-items: center;
    background: rgba(229,89,71, 0.2);
    transition: 0.3s;


}




/* newsletter */
.newsletter{
    text-align: center;

}

.newsletter__description{
    margin-bottom: var(--mb-2);
    font-size: var(--small-font-size);
    color: var(--dark-color-light);

}

.newsletter__form{
    display:grid;
    grid-template-columns: 1fr 0.5fr;

}

.newsletter__input{
    outline: none;
    border:none;
    background-color: var(--gray-color);
    padding: 0 1rem;

}

/* sponsor */

.sponsors__container{
    grid-template-columns: repeat(2,1fr);
    row-gap: 2rem;
    padding: 1.5rem 0;

}

.sponsors__logo{
    display: flex;
    justify-content: center;

}

.sponsors__logo img{
    width: 80px;
    filter: opacity(70%);

}

.sponsors__logo img:hover{
    filter:none;


}



/* footer */

.footer{
    background-color:var(--dark-color);
    color: var(--white-color);
    
}

.footer__container{
    row-gap:1.5rem;
    margin-bottom: var(--mb-4);

}

.footer__title{
    margin-bottom:var(--mb-1);

}

.footer__deal{
    margin-bottom: var(--mb-2);

}

.footer__store{
    width: 100px;
    

}

.footer__link, .footer__social{
    color: var(--dark-color-light);

}

.footer__link:hover{
   
    color: var(--white-color);

}

.footer__social{
    font-size:2rem;
    margin-right: var(--mb-1);
}

.footer__social:hover{

    
    color: var(--first-color-alt);


}

.footer__copy{
    border-top: 1px solid var(--dark-color-light);
    padding-top: 3rem;
    text-align: center;
    color: var(--dark-color-light);
    font-size: var(--small-font-size);

}




/* media queries */

@media screen and (min-width: 768px){
    body{
        margin:0;

    }

    .section-all{
        margin-bottom: var(--mb-4);

    }

    .nav{
        /* height: calc(var(--header-height) + 1rem) !important; */
        justify-content: initial;
        /* border-bottom:2px solid var(--first-color-alt); */
    }

    .nav__menu{
        margin-left: auto;
        
    }

    .nav__list{
        display:flex;

    }

    .nav__item{
        margin-left: var(--mb-4);
        margin-bottom: 0;
        text-align:center;

    }

    .nav__toggle{
        display: none;
       

    }

    .home__container{
        height: 100vh;

    }

    .home__data{
        padding: 0;
        height: max-content;
        align-self: center;
    }

    .home__title{
        line-height: 0.8;
        letter-spacing: 1.5rem;
        text-align: left;
        position: absolute;
        left:30%;
        top: 50%;

    }

    #btn-home{
        position: absolute;
        left: 40%;
        padding: 20px 25px;
        border-radius: 20px;
        
        font-weight:bold;
        font-size:15px;
        transition:0.5s;
        background-color: var(--first-color-alt);
        color: var(--white-color);
        border:2px solid var(--first-color-alt);
        
    }
    
    #btn-home:hover{
        color: var(--first-color-alt);
      background-color: var(--white-color);
      
    }
    

    .home__img{
        margin-top:20px;
        margin-bottom:20px;
        width: 42%;
        height: 85%;
        position: absolute;
        left:50%;
        top: 15%;
        
    }

    .collection__container{
        grid-template-columns: repeat(2,1fr);
        grid-template-rows: 1fr;

    }

    .collection__box{
        padding: 0.5rem 3rem 0;

    }

    .collection__img{
        width:130px;

    }

    .featured__container, .sponsors__container, .footer__container{
        grid-template-columns: repeat(4,1fr);
    
    }

    .offer__data{
        padding: 5rem 0;

    }

    .new__container{
        grid-template-columns: repeat(3,1fr);


    }

    .newsletter__form{
        width:400px;
        margin:0 auto;

    }

    .footer__container{
        padding: 2rem 0;

    }


}

@media screen and (min-width: 1024px){
    .bd-grid{
        margin-left: auto;
        margin-right: auto;


    }

    .home__data{
        padding-left: 7rem;

    }

    .home__img{
        right: 15%;

    }




}



#ads-wrapper{
    background-color: var(--first-color-alt);


}


.card-product{
    height: 100%;
    width: 90%;
    color:var(--first-color-alt);
    font-weight: bold;
    background-color: var(--gray-color) ;
    
    border: 4px solid var(--first-color-alt);
    border-radius: 30px;
    overflow: hidden;

}


.bg-grey{
    background-color: var(--gray-color);
}


.accordion-button:focus {
    border-color: transparent !important;
    box-shadow: none !important;



}

.accordion-button:not(.collapsed) {
    color:var(--first-color-alt) !important;
    background-color: var(--gray-color) !important;


}

.accordion-button::after {
    color:var(--dark-color) !important;


}


.form-check-input:checked {

    color:var(--dark-color) !important;
    background-color: var(--dark-color) !important;
    border-color:var(--dark-color) !important;


}


/* slider prezzo */

section.range-slider {
    position: relative;
    width: 100%;
    height:100px;
    
    text-align: center;
  }
  section.range-slider input[type=range] {
    pointer-events: none;
    position: absolute;
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    border: none;
    border-radius: 14px;
    background: var(--first-color);
    box-shadow: inset 0 1px 0 0 var(--dark-color), inset 0 -1px 0 0 var(--dark-color-light);
    -webkit-box-shadow: inset 0 1px 0 0 #cdc6c6, inset 0 -1px 0 0 #d9d4d4;
    overflow: hidden;
    left: 0;
    top: 30px;
    width:100%;
    outline: none;
    height: 20px;
    margin: 0;
    padding: 0;
  }
  section.range-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: all;
    position: relative;
    z-index: 1;
    outline: 0;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    border: none;
    border-radius: 14px;
    background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, var(--first-color)), color-stop(100%, #413F41));
    /* android <= 2.2 */
    background-image: -webkit-linear-gradient(top, var(--dark-color) 0, var(--first-color-alt) 100%);
    /* older mobile safari and android > 2.2 */
    background-image: linear-gradient(to bottom, var(--dark-color) 0, var(--first-color-alt) 100%);
    /* W3C */
  }
  section.range-slider input[type=range]::-moz-range-thumb {
    pointer-events: all;
    position: relative;
    z-index: 10;
    -moz-appearance: none;
    width: 20px;
    height: 20px;
    border: none;
    border-radius: 14px;
    background-image: linear-gradient(to bottom, #dad8da 0, var(--first-color-alt) 100%);
    /* W3C */
  }
  section.range-slider input[type=range]::-ms-thumb {
    pointer-events: all;
    position: relative;
    z-index: 10;
    -ms-appearance: none;
    width: 20px;
    height: 20px;
    border-radius: 14px;
    border: 0;
    background-image: linear-gradient(to bottom, #dad8da 0, #413F41 100%);
    /* W3C */
  }
  section.range-slider input[type=range]::-moz-range-track {
    position: relative;
    z-index: -1;
    background-color: black;
    border: 0;
  }
  section.range-slider input[type=range]:last-of-type::-moz-range-track {
    -moz-appearance: none;
    background: none transparent;
    border: 0;
  }
  section.range-slider input[type=range]::-moz-focus-outer {
    border: 0;
  }



    









